boost::logging::rdLogger Class Reference

`#include <RDLog.h>`

## Public Member Functions

| rdLogger (std::ostream *dest, bool owner=false)
void | AddTee (std::ostream &stream)
| ~rdLogger ()

## Public Attributes

std::ostream * | dp_dest
bool | df_owner
bool | df_enabled
RDTee * | tee
RDTeeStream * | teestream

## Detailed Description

Definition at line 24 of file RDLog.h.

## Constructor & Destructor Documentation

## rdLogger()

boost::logging::rdLogger::rdLogger | ( | std::ostream * | dest,
|  | bool | owner = `false`
| ) |  |

inline

Definition at line 32 of file RDLog.h.

## ~rdLogger()

boost::logging::rdLogger::~rdLogger | ( |  | ) |

inline

Definition at line 42 of file RDLog.h.

References boost::logging::disable_logs(), dp_dest, boost::logging::enable_logs(), tee, and teestream.

## Member Function Documentation

## AddTee()

void boost::logging::rdLogger::AddTee | ( | std::ostream & | stream | ) |

inline

Definition at line 36 of file RDLog.h.

## Member Data Documentation

## df_enabled

bool boost::logging::rdLogger::df_enabled

Definition at line 27 of file RDLog.h.

## df_owner

bool boost::logging::rdLogger::df_owner

Definition at line 27 of file RDLog.h.

## dp_dest

std::ostream* boost::logging::rdLogger::dp_dest

Definition at line 26 of file RDLog.h.

Referenced by ~rdLogger().

## tee

RDTee* boost::logging::rdLogger::tee

Definition at line 29 of file RDLog.h.

Referenced by ~rdLogger().

## teestream

RDTeeStream* boost::logging::rdLogger::teestream

Definition at line 30 of file RDLog.h.

Referenced by ~rdLogger().

The documentation for this class was generated from the following file:

- RDLog.h